[Alug] Installing WordPerfect on Debian

Ian Douglas alug at the-zub.demon.co.uk
Sun Sep 29 00:18:02 BST 2002


On Saturday, September 28, 2002 4:51 PM, MJ Ray wrote:
>
> You can see what libraries it is wanting by running "ldd path/to/xwp".
>

Thanks for the helpful suggestion MJR.  Sorry for the delay in replying but
I was a bit busy with other things this afternoon.

If I run "ldd" I get the following output:

wildebeest:~# ldd /opt/wp80/wpbin/xwp
        libXt.so.6 => not found
        libX11.so.6 => not found
        libXpm.so.4 => not found
        libm.so.5 => /lib/libm.so.5 (0x40010000)
        libc.so.5 => /lib/libc.so.5 (0x40019000)
/opt/wp80/wpbin/xwp: can't resolve symbol 'objectClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'wmShellWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'constraintWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol '_XtInheritTranslations'
/opt/wp80/wpbin/xwp: can't resolve symbol 'rectObjClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'widgetClassRec'
/opt/wp80/wpbin/xwp: can't resolve symbol 'XtShellStrings'
/opt/wp80/wpbin/xwp: can't resolve symbol 'overrideShellWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'overrideShellClassRec'
/opt/wp80/wpbin/xwp: can't resolve symbol 'transientShellClassRec'
/opt/wp80/wpbin/xwp: can't resolve symbol 'objectClassRec'
/opt/wp80/wpbin/xwp: can't resolve symbol 'constraintClassRec'
/opt/wp80/wpbin/xwp: can't resolve symbol 'applicationShellClassRec'
/opt/wp80/wpbin/xwp: can't resolve symbol 'topLevelShellWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'applicationShellWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'coreWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'widgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'wmShellClassRec'
/opt/wp80/wpbin/xwp: can't resolve symbol 'transientShellWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'compositeWidgetClass'
/opt/wp80/wpbin/xwp: can't resolve symbol 'XtStrings'
/opt/wp80/wpbin/xwp: can't resolve symbol 'rectObjClassRec'

This seems to suggest that I am missing  "libXt.so.6",  "libX11.so.6"  and
"libXpm.so.4".  If however I use the locate command I can see that these
libraries are in fact already installed on my system in my "/usr/X11R6/lib"
directory.

wildebeest:~# locate libXt
/usr/lib/mozilla/libXt.so.6
/usr/X11R6/lib/libXt.so.6
/usr/X11R6/lib/libXt.so.6.0
/usr/X11R6/lib/libXtst.so.6
/usr/X11R6/lib/libXtst.so.6.1
wildebeest:~# locate libX11
/usr/X11R6/lib/libX11.so.6
/usr/X11R6/lib/libX11.so.6.2
wildebeest:~# locate libXpm
/usr/X11R6/lib/libXpm.so.4
/usr/X11R6/lib/libXpm.so.4.11

And if I look in "/etc/ld.so.conf" I can see that it includes the path
"/usr/X11R6/lib" where these "missing" library files are actually located.

wildebeest:~# cat /etc/ld.so.conf
/usr/X11R6/lib
/usr/lib/libc5-compat
/lib/libc5-compat
/usr/i486-linuxlibc1/lib

With my limited experience and understanding I am therefore a bit stuck
knowing what to try next so any further help would be greatly appreciated.

Ian.




More information about the main mailing list